## nagiosplugin 1.3.2

=== Makefile ===
all:

.PHONY: clean

docs:
	$(MAKE) -C doc html

clean:
	rm -f 
	rm -Rf bin build develop-eggs dist doc/_build eggs htmlcov \
		nagiosplugin.egg-info parts src
	find . -name __pycache__ -exec rm -Rf '{}' +
	find . -name "*.pyc*" -exec rm '{}' +

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nagiosplugin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nagiosplugin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/nagiosplugin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/nagiosplugin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## nagiosplugin 1.2.2

=== debian/changelog ===
nagiosplugin (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Tue, 03 Jun 2014 12:29:35 -0500

nagiosplugin (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use the tarball instead of the zip archive
  * Switch from python_distutils to pybuild
  * Build the python3 version of the library

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Wed, 19 Mar 2014 22:45:52 -0500

nagiosplugin (1.2-1) unstable; urgency=low

  * Initial release (Closes: #733822).

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Tue, 31 Dec 2013 13:39:12 -0600

=== debian/control ===
Source: nagiosplugin
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-argparse,
               python-setuptools (>= 0.6b3),
               python-unittest2,
               python3-all (>= 3.2),
               python3-setuptools
Standards-Version: 3.9.5
Homepage: https://projects.gocept.com/projects/nagiosplugin
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nagiosplugin/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nagiosplugin/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-nagiosplugin
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python class library for writing Nagios (Icinga) plugins (Python 2)
 nagiosplugin is a Python class library which helps writing Nagios
 (or Icinga) compatible plugins easily in Python. It cares for much of
 the boilerplate code and default logic commonly found in Nagios
 checks, including:
 .
  - Nagios 3 Plugin API compliant parameters and output formatting
  - Full Nagios range syntax support
  - Automatic threshold checking
  - Multiple independend measures
  - Custom status line to communicate the main point quickly
  - Long output and performance data
  - Timeout handling
  - Persistent "cookies" to retain state information between check runs
  - Resume log file processing at the point where the last run left
  - No dependencies beyond the Python standard library (except for Python 2.6).
 .
 This is the Python 2 version of the package.

Package: python3-nagiosplugin
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python class library for writing Nagios (Icinga) plugins (Python 3)
 nagiosplugin is a Python class library which helps writing Nagios
 (or Icinga) compatible plugins easily in Python. It cares for much of
 the boilerplate code and default logic commonly found in Nagios
 checks, including:
 .
  - Nagios 3 Plugin API compliant parameters and output formatting
  - Full Nagios range syntax support
  - Automatic threshold checking
  - Multiple independend measures
  - Custom status line to communicate the main point quickly
  - Long output and performance data
  - Timeout handling
  - Persistent "cookies" to retain state information between check runs
  - Resume log file processing at the point where the last run left
  - No dependencies beyond the Python standard library (except for Python 2.6).
 .
 This is the Python 3 version of the package.

## nagiosplugin 1.2.4

=== debian/changelog ===
nagiosplugin (1.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jan Dittberner ]
  * Fix "python3-nagiosplugin; missing dependencies" by fixing a typo in
    debian/control stanza (Closes: #867410)
  * Fix spelling in debian/control long descriptions
  * Add myself to Uploaders field in debian/control
  * Update debian/copyright
  * Bump Standards-Version to 4.0.0
    - change copyright format URL to https
  * New upstream release

 -- Jan Dittberner <jandd@debian.org>  Tue, 18 Jul 2017 15:25:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: nagiosplugin
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>
+Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>,
+           Jan Dittberner <jandd@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,10 +12,10 @@
                python-unittest2,
                python3-all (>= 3.2),
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Homepage: https://projects.gocept.com/projects/nagiosplugin
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/nagiosplugin/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/nagiosplugin/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nagiosplugin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nagiosplugin.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -30,7 +31,7 @@
   - Nagios 3 Plugin API compliant parameters and output formatting
   - Full Nagios range syntax support
   - Automatic threshold checking
-  - Multiple independend measures
+  - Multiple independent measures
   - Custom status line to communicate the main point quickly
   - Long output and performance data
   - Timeout handling
@@ -42,7 +43,7 @@
 
 Package: python3-nagiosplugin
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Python class library for writing Nagios (Icinga) plugins (Python 3)
  nagiosplugin is a Python class library which helps writing Nagios
  (or Icinga) compatible plugins easily in Python. It cares for much of
@@ -52,7 +53,7 @@
   - Nagios 3 Plugin API compliant parameters and output formatting
   - Full Nagios range syntax support
   - Automatic threshold checking
-  - Multiple independend measures
+  - Multiple independent measures
   - Custom status line to communicate the main point quickly
   - Long output and performance data
   - Timeout handling

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nagiosplugin

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	rm -rf debian/python*-nagiosplugin/usr/lib/python*/dist-packages/nagiosplugin/examples/

override_dh_installdocs:
	rm -rf src/nagiosplugin/examples/__pycache__ src/nagiosplugin/examples/*.pyc
	dh_installdocs -O--buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/n/nagiosplugin/nagiosplugin-([0-9.]+).tar.gz

## nagiosplugin 1.3.2

=== debian/changelog ===
nagiosplugin (1.3.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:19:08 +0100

nagiosplugin (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 14 Feb 2021 12:40:44 -0500

nagiosplugin (1.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * New upstream release.
  * d/watch: migrate to github tarball to get tests.
  * d/rules: run unit tests during build.
  * d/control: use dh 13.
  * d/control: update Homepage link.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/tests: run the upstream testsuite as an autopkgtest.
  * delete old python2 file.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 12 Feb 2021 23:44:15 -0500

nagiosplugin (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 01:12:34 +0200

=== debian/control ===
Source: nagiosplugin
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>,
           Jan Dittberner <jandd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
Standards-Version: 4.6.1
Homepage: https://github.com/mpounsett/nagiosplugin
Vcs-Git: https://salsa.debian.org/python-team/packages/nagiosplugin.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nagiosplugin
Rules-Requires-Root: no

Package: python3-nagiosplugin
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python class library for writing Nagios (Icinga) plugins (Python 3)
 nagiosplugin is a Python class library which helps writing Nagios
 (or Icinga) compatible plugins easily in Python. It cares for much of
 the boilerplate code and default logic commonly found in Nagios
 checks, including:
 .
  - Nagios 3 Plugin API compliant parameters and output formatting
  - Full Nagios range syntax support
  - Automatic threshold checking
  - Multiple independent measures
  - Custom status line to communicate the main point quickly
  - Long output and performance data
  - Timeout handling
  - Persistent "cookies" to retain state information between check runs
  - Resume log file processing at the point where the last run left
  - No dependencies beyond the Python standard library (except for Python 2.6).
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=nagiosplugin

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

execute_after_dh_auto_install:
	rm -rf debian/python*-nagiosplugin/usr/lib/python*/dist-packages/nagiosplugin/examples/

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/mpounsett/nagiosplugin.git \
refs/tags/([\d\.]+)
